/* ************************************************************************** */
/* Globals. */

*,
*::before,
*::after {
    box-sizing: inherit;

    /* Fuck those collapsing margins! */
    margin: 0;
    padding: 0;
}

html {
    box-sizing: border-box;
    font-family: var(--font-family);
    font-size: var(--font-size);
    font-weight: var(--font-weight);
    letter-spacing: var(--letter-spacing);
    line-height: var(--line-height);
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    display: flex;
    flex-direction: column;
}

header,
main,
footer {
    width: 100%;
}

a:not(.project__url) {
    color: var(--link-color);
    text-decoration: none;
    transition: all 0.25s;
}

a:hover:not(.project__url) {
    color: var(--link-hover-color);
    text-decoration: underline;
}

a:visited:not(.project__url) {
    color: var(--link-visited-color);
}

code {
    background-color: var(--bg-color-dark);
    border-style: solid;
    border-width: 1px;
    font-family: var(--font-family-mono);
    font-size: var(--font-size-mono);
    padding-left: calc(var(--letter-spacing) * 20);
    padding-right: calc(var(--letter-spacing) * 20);
}

img {
    max-height: 100%;
    max-width: 100%;
}

p {
    padding-bottom: var(--paragraph-spacing);
}

q {
    color: var(--text-color-accent);
    font-style: italic;
}

.zoom {
    transition: transform 0.2s;
}

.zoom:hover {
    transform: scale(1.25);
}

/* ************************************************************************** */
/* Flexbox Layout! */

.layout-container {
    margin: 0 auto;
    width: var(--layout-container-width);
    max-width: var(--layout-container-max-width);
}

.layout-row {
    display: flex;
    height: 100%;
    justify-content: space-between;
}

/* ************************************************************************** */
/* Header. */

header {
    background-color: var(--bg-color-accent);
}

.header__content {
    align-items: center;
    display: flex;
    padding-bottom: calc(var(--paragraph-spacing) * 6);
    padding-top: calc(var(--paragraph-spacing) * 3);
}

.navbar a {
    font-size: larger;
    font-weight: 500;
    padding-left: var(--paragraph-spacing);
    padding-right: var(--paragraph-spacing);
}

.navbar a + a {
    border-left: calc(var(--paragraph-spacing) / 4) solid var(--text-color);
}

/* ************************************************************************** */
/* Main content. */

main {
    padding-bottom: calc(var(--paragraph-spacing) * 2);
    padding-top: calc(var(--paragraph-spacing) * 2);
}

.main__content {
    flex-direction: column;
}

/* ************************************************************************** */
/* Projects. */

#projectList {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.project {
    border-color: var(--box-color);
    border-radius: var(--box-corner-radius);
    border-style: var(--box-style);
    border-width: var(--box-width);
    cursor: pointer;
    height: auto;
    margin: var(--paragraph-spacing);
    width: 350px;
    padding: var(--paragraph-spacing);
    transition: 250ms ease all;
}

.project:hover {
    box-shadow:
        0 1px 2px 0 rgba(60, 64, 67, 0.3),
        0 2px 6px 2px rgba(60, 64, 67, 0.15);
    transform: translateY(-1px);
}

.project__url {
    color: var(--text-color);
    text-decoration: none;
}

.project__header {
    display: flex;
    margin-bottom: 1em;
}

.project__avatar {
    display: inline-block;
    height: 64px;
    width: 64px;
    font-size: 0.5em;
}

.project__name,
.project__stat {
    padding-left: 1em;
}

.project_statsPanel {
}

.project__stat {
}

.project__stat + .project__stat {
    margin-left: calc(var(--paragraph-spacing) / 2);
}

.project__stat img {
    position: relative;
    top: 0.25em;
    height: 1.25em;
    width: 1.25em;
}

.project__stars {
}

.project__forks {
}

.project__openIssues {
}

.project__description {
}

/* ************************************************************************** */
/* Footer. */

footer {
    background-color: var(--bg-color-dark);
    font-style: italic;
}

.footer__content {
    padding-bottom: calc(var(--paragraph-spacing) * 3);
    padding-top: calc(var(--paragraph-spacing) * 6);
}

.footer__about-me {
    width: 60%;
}

.footer__about-me--accent {
    font-weight: 900;
}

.footer__powered-by {
    align-items: flex-end;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 35%;
}

.footer__powered-by-item {
    padding-bottom: calc(var(--paragraph-spacing) / 2);
}

.footer__powered-by a {
    text-decoration: none;
}

.footer__deliberist-version a:hover {
}

.footer__powered-by--separator {
    font-size: large;
    font-weight: bolder;
    padding-left: calc(var(--paragraph-spacing) / 4);
    padding-right: calc(var(--paragraph-spacing) / 2);
}

.footer__site-version {
}

/* ************************************************************************** */
/* Media queries!!! */

@media (max-width: 675px) {
}
